Skip to content
Start here

Get daily report

client.botnetFeed.asn.dayReport(numberasnId, ASNDayReportParams { account_id, date } params, RequestOptionsoptions?): ASNDayReportResponse { cidr, date, offense_count }
GET/accounts/{account_id}/botnet_feed/asn/{asn_id}/day_report

Gets all the data the botnet tracking database has for a given ASN registered to user account for given date. If no date is given, it will return results for the previous day.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Botnet Feed WriteDDoS Botnet Feed Read
ParametersExpand Collapse
asnId: number
params: ASNDayReportParams { account_id, date }
account_id: string

Path param: Identifier.

maxLength32
date?: string

Query param

formatdate-time
ReturnsExpand Collapse
ASNDayReportResponse { cidr, date, offense_count }
cidr?: string
date?: string
formatdate-time
offense_count?: number

Get daily report

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.botnetFeed.asn.dayReport(0, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.cidr);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "cidr": "1.1.1.1/32",
    "date": "2014-01-01T05:20:00.12345Z",
    "offense_count": 1000
  }
}